import { SizeableDirective } from '../../shared/sizeable.directive';
import { CustomIconNames, CustomIconVariations } from './icon.type';
import { CustomIconsRegisterService } from './custom-icon-register.service';
import * as i0 from "@angular/core";
type MatIconFontSets = 'material-icons' | 'material-symbols-outlined' | 'material-icons-outlined';
export declare class IconComponent extends SizeableDirective {
    private customIconRegister;
    name: CustomIconNames | string;
    appearance: Exclude<CustomIconVariations, 'disabled'>;
    theme: 'dark' | 'light';
    color?: string;
    matFontSet: MatIconFontSets;
    protected fontIcon: string;
    protected svgIcon: string;
    protected filePath: string;
    private iconSubscription?;
    constructor(customIconRegister: CustomIconsRegisterService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    private prepareIcon;
    private prepareCustomIconName;
    private isImageFilePath;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconComponent, "app-icon", never, { "name": { "alias": "name"; "required": true; }; "appearance": { "alias": "appearance"; "required": false; }; "theme": { "alias": "theme"; "required": false; }; "color": { "alias": "color"; "required": false; }; "matFontSet": { "alias": "matFontSet"; "required": false; }; }, {}, never, never, true, never>;
}
export {};
