import { NgZone } from '@angular/core';
import { LogsPublicApi } from '@datadog/browser-logs/cjs/boot/logsPublicApi';
import { LoggerStrategy } from '../interfaces/logger-strategy.interface';
import { LoggerConfig } from '../types/logger.type';
export declare class DatadogLoggerStrategy<T extends string = string> implements LoggerStrategy<T> {
    private datadog;
    private config;
    private ngZone;
    constructor(datadog: LogsPublicApi, config: LoggerConfig['datadog'], ngZone: NgZone);
    log(event: T, data?: any): void;
    error(event: T, data?: any): void;
    debug(event: T, data?: any): void;
    info(event: T, data?: any): void;
    warn(event: T, data?: any): void;
}
