import { NgZone } from '@angular/core';
import { OverridedMixpanel } from 'mixpanel-browser';
import { LoggerStrategy } from '../interfaces/logger-strategy.interface';
import { Params } from '../types/logger.type';
export declare class MixpanelLoggerStrategy<T extends string = string> implements LoggerStrategy<T> {
    private mixpanel;
    private token;
    private userId;
    private ngZone;
    constructor(mixpanel: OverridedMixpanel, token: string, userId: string | number | undefined, ngZone: NgZone);
    log(event: T, data?: any): void;
    error(event: T, data?: any): void;
    debug(event: T, data?: any): void;
    info(event: T, data?: any): void;
    warn(event: T, data?: any): void;
    setParams(params: Params): void;
    private setIdentity;
}
