import { Params } from "../types/logger.type";
export type LogLevel = 'log' | 'error' | 'debug' | 'info' | 'warn';
export interface LoggerStrategy<T extends string = string> {
    log(event: T, data?: any): void;
    error(event: T, data?: any): void;
    debug(event: T, data?: any): void;
    info(event: T, data?: any): void;
    warn(event: T, data?: any): void;
    setParams?(params: Params): void;
}
