import { NgZone } from '@angular/core';
import { LoggerConfig, Params } from '../types/logger.type';
import { LoggerStrategy } from '../interfaces/logger-strategy.interface';
export declare class LoggerService<T extends string = string> {
    private strategies;
    private parameters;
    private ngZone;
    constructor(strategies: LoggerStrategy<T>[], parameters: LoggerConfig, ngZone: NgZone);
    private formatData;
    private attachTime;
    private attachUserData;
    private attachAppInfo;
    private parseError;
    private handleEvent;
    log(event: T, data?: Record<string, any>): void;
    error(event: T, data?: Error): void;
    debug(event: T, data?: Record<string, any>): void;
    info(event: T, data?: Record<string, any>): void;
    warn(event: T, data?: Record<string, any>): void;
    setParams(params: Partial<Params>): void;
}
