export type User = {
    role: 'global' | string;
    id: number | string;
    name: string;
    email: string;
    companiesIds?: string[];
    userRole?: string[];
};
export type Params = {
    user: User;
    language: string;
    version: string;
    extras: Record<string, any>;
};
export type LoggerConfig = {
    mixpanel?: {
        token: string;
    };
    datadog?: {
        clientToken: string;
        site: string;
        service: string;
        forwardErrorsToLogs: boolean;
        sampleRate: number;
    };
    externalLogs: boolean;
    appName: string;
    params?: Params;
};
